Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1877781 - ghostscript-9.53.1 is available
Summary: ghostscript-9.53.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anna Khaitovich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1877889
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 12:31 UTC by Upstream Release Monitoring
Modified: 2020-10-03 02:01 UTC (History)
5 users (show)

Fixed In Version: ghostscript-9.53.1-2.fc34 ghostscript-9.53.1-2.fc33 ghostscript-9.53.1-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-24 14:40:00 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 9.53.0 (#1877781) (1.04 KB, patch)
2020-09-10 12:31 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 9.53.1 (#1877781) (1.04 KB, patch)
2020-09-14 15:28 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2020-09-10 12:31:49 UTC
Latest upstream release: 9.53.0
Current version/release in rawhide: 9.52-8.fc33
URL: http://www.ghostscript.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1157/

Comment 1 Upstream Release Monitoring 2020-09-10 12:31:59 UTC
Created attachment 1714426 [details]
[patch] Update to 9.53.0 (#1877781)

Comment 2 Upstream Release Monitoring 2020-09-14 15:28:06 UTC
Latest upstream release: 9.53.1
Current version/release in rawhide: 9.52-8.fc33
URL: http://www.ghostscript.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1157/

Comment 3 Upstream Release Monitoring 2020-09-14 15:28:13 UTC
Created attachment 1714819 [details]
[patch] Update to 9.53.1 (#1877781)

Comment 4 Anna Khaitovich 2020-09-17 11:31:52 UTC
Blocked on jbig2dec update (PR: https://src.fedoraproject.org/rpms/jbig2dec/pull-request/3)

Comment 5 Michael J Gruber 2020-09-19 09:31:16 UTC
jbig2dec 0.19 is in a side tag now. Please build gs 9.53.1 for rawhide with:

fedpkg build --target=f34-build-side-30401

This gives an interesting dependency chain:

jbig2dec in side tag
gs in side tag
gs+jbig2dec(+others) update (tag merge)

So, I'm not sure which bug should block which in bz any more, but mapping that to bz dependencies might be overkill anyways.

I assume that this is good for f33 and f32 once it is in rawhide, right?

Comment 6 Anna Khaitovich 2020-09-22 13:40:24 UTC
(In reply to Michael J Gruber from comment #5)

> So, I'm not sure which bug should block which in bz any more, but mapping
> that to bz dependencies might be overkill anyways.
+1

> I assume that this is good for f33 and f32 once it is in rawhide, right?
Not sure if I understood your question correctly, but I feel like for f33 and f32 the process should be similar - you create a side tag with fedpkg request-side-tag --base-tag f33-build, build jbig2dec 0.19 with it, I build gs 9.53.1, tag merge. Please correct me if I'm wrong

Comment 8 Michael J Gruber 2020-09-22 14:15:28 UTC
(In reply to Anna Khaitovich from comment #6)
> (In reply to Michael J Gruber from comment #5)
> 
> > So, I'm not sure which bug should block which in bz any more, but mapping
> > that to bz dependencies might be overkill anyways.
> +1
> 
> > I assume that this is good for f33 and f32 once it is in rawhide, right?
> Not sure if I understood your question correctly, but I feel like for f33
> and f32 the process should be similar - you create a side tag with fedpkg
> request-side-tag --base-tag f33-build, build jbig2dec 0.19 with it, I build
> gs 9.53.1, tag merge. Please correct me if I'm wrong

Sorry for being so terse. I meant to ask which branches you intend gs 9.53 to push to since gs is the main user of jbig2dec, and I feel mupdf and dependencies should follow your lead here. So we have:

f34-build-side-30401
f33-build-side-30597
f32-build-side-30599

All of them have jbig2dec-0.19-2 now.

The f34 target is "complete" except for zathura-pdf-mupdf (PR submitted), which I should wait for for a few days (before submitting the bodhi update for the side-tag builds), I guess. Or "push to push" ;)

Comment 9 Michael J Gruber 2020-09-22 15:23:43 UTC
f34 target is complete, and as per bodhi's error message, I would need commit access for gs and zathura-pdf-mupdf to submit the update.
I find that somehow strange as submitting another packager's build (which the packager put into the tag) should not need the same access level as committing to the dist-git repo and building into release or side tags.

So, if you have the nevessary access level, feel free to submit the update for f34.

f33 and f32 are missing gs only, so all lights are green for you :)

Comment 10 Fedora Update System 2020-09-24 14:40:00 UTC
FEDORA-2020-9c3074c5d3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-09-28 16:59:26 UTC
FEDORA-2020-6d5bd33964 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6d5bd33964

Comment 12 Fedora Update System 2020-09-28 17:00:14 UTC
FEDORA-2020-020dea71ed has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-020dea71ed

Comment 13 Fedora Update System 2020-09-29 01:16:19 UTC
FEDORA-2020-6d5bd33964 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6d5bd33964`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6d5bd33964

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-09-29 01:16:24 UTC
FEDORA-2020-020dea71ed has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-020dea71ed`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-020dea71ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-09-30 00:15:12 UTC
FEDORA-2020-020dea71ed has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-10-03 02:01:24 UTC
FEDORA-2020-6d5bd33964 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.